/* #20B2AA */

.foundproductn {
    display: none !important;
}

.forHomeSliderShadow {
    background: linear-gradient(270deg, hsla(0, 0%, 100%, 0), #fff) !important;
}

.forHomeSliderShadoww {
    background: linear-gradient(270deg, #fff, hsla(0, 0%, 100%, 0)) !important;
}

.cartQuantityExtra {
    display: none !important;
}

.a {
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
    background-color: #20B2AA !important;
    width: 2.5rem !important;
    height: 2.5rem !important;
    border-radius: 50% !important;
}

.secondSec div ul li {
    display: flex !important;
    justify-content: center !important;
    align-items: center !important;
    gap: 2 !important;
    flex-direction: column !important;
}

/* .... */
.counterInputNumber::-webkit-inner-spin-button,
.counterInputNumber::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.counter input {
    appearance: none;
    outline: 0;
}

.counter span {
    cursor: pointer;
    user-select: none;
}

/* ........ */

.addToCart {
    transform: translateY(37px) !important;
    transition: all 0.3s ease-in-out !important;
}

.homebestselling .productCardM {
    width: 232px !important;
}

.productCardM:hover .addToCart {
    transform: translateY(0) !important;
    transition: all 0.3s ease-in-out !important;
}

.PCardwishlist {
    transform: translateX(32px) !important;
    transition: all 0.3s ease-in-out !important;
}

.productCardM:hover .PCardwishlist {
    transform: translateY(0) !important;
    transition: all 0.3s ease-in-out !important;
}

input[type=text]:focus {
    border-color: #20B2AA !important;
    outline: #20B2AA !important;
}

input[type=email]:focus {
    border-color: #20B2AA !important;
    outline: #20B2AA !important;
}

input[type=tel]:focus {
    border-color: #20B2AA !important;
    outline: #20B2AA !important;
}

input[type=password]:focus {
    border-color: #20B2AA !important;
    outline: #20B2AA !important;
}

.form-select:focus {
    border-color: #20B2AA !important;
    outline: #218681 !important;
}

.mobileWishDelete {
    display: none !important;
}

.cartCount {
    top: -0.47rem !important;
}

.wishlidtAddCartM {
    display: none !important;
}

.categoryLi:hover .catSvg {
    fill: white !important;
}

.displaycatMain ::-webkit-scrollbar {
    width: 4px !important;
    height: 10px !important;
    margin-left: 2px !important;
}

/* Track */
.displaycatMain ::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px grey !important;
    border-radius: 5px !important;
}

/* Handle */
.displaycatMain ::-webkit-scrollbar-thumb {
    background: #20B2AA !important;
    border-radius: 5px !important;
}

/* Handle on hover */
.displaycatMain ::-webkit-scrollbar-thumb:hover {
    background: #218681 !important;
}

.childcat {
    width: 14rem !important;
    padding: 6px !important;
    left: 257px !important;
    background-color: white !important;
}

.childcat ul {
    width: 100% !important;
    word-wrap: break-word !important;
    margin-top: 0 !important;
    margin-bottom: 0 !important;
    box-shadow: none !important;
}

@media screen and (max-width: 2560px) {
    .allPImg {
        width: 80rem !important;
    }
    .shape {
        width: 100% !important;
        height: 3rem !important;
        left: 0 !important;
        right: 0 !important;
    }

    .FooterHtext {
        left: 0;
        top: 20rem !important;
    }

    .fImage {
        width: 98rem !important;
    }

    .footerAdd {
        width: 93rem !important;
        margin: auto !important;
    }
}

@media screen and (max-width: 1600px) {
    .allPImg {
        width: 100% !important;
    }

    .fImage {
        width: 100% !important;
    }

    .footerAdd {
        width: 100% !important;
    }

    .FooterHtext {
        left: 0px;
        top: 15rem !important;
    }
}

@media screen and (max-width: 1345px) {
    .user-dropdn {
        left: -8rem !important;
    }

    .BsellingPromo {
        height: 100%;
    }
}

@media screen and (max-width: 1024px) {
    .catCategoryMobile {
        padding: 0 !important;
    }

    .BsellingPromo {
        height: 312.5px !important;
    }

    .catCategoryMobileimg {
        padding: 15px !important;
    }

    .catCategoryName {
        margin-top: 0 !important;
        padding-bottom: 5px;
    }

    .productImages {
        height: 215px !important;
    }

    .addcart {
        flex-direction: column !important;
    }

    .productCardM {
        height: 313px !important;
    }

    .showingProduct {
        grid-template-columns: repeat(4, minmax(0, 1fr)) !important;
    }

    .homebestselling .productCardM {
        width: 234px !important;
    }

}

@media screen and (max-width: 991px) {
    .user-dropdn {
        left: -9rem !important;
    }
}

@media screen and (max-width: 768px) {
    .sliderHome {
        height: 328px !important;
    }

    .cart-loginsec {
        width: fit-content !important;
        margin-right: 0.5rem !important;
    }


    .fullWidth {
        width: 100%;
    }

    .homebestselling .productCardM {
        width: 228px !important;
    }

    .catCategoryMobileimg {
        padding: 6px !important;
    }

    .catCategory {
        padding-left: 12px !important;
        padding-right: 12px !important;
    }

    .homeProduct {
        padding-left: 12px !important;
        padding-right: 12px !important;
    }

    .productCardM {
        /* height: 355px !important; */
    }

    .showingProduct {
        grid-template-columns: repeat(3, minmax(0, 1fr)) !important;
    }

    /* login */
    .loginMobile {
        padding-top: 2.5rem !important;
        padding-bottom: 3rem !important;
    }

    /* all-product */
    .sortSelect {
        display: flex;
    }

    .all-productPageMainP {
        margin-left: 0 !important;
        width: 99% !important;
    }

    .all-productPage {
        margin-left: 0 !important;
        width: 100% !important;
    }

    .ProductOrderTable td {
        font-weight: 500;
        text-transform: capitalize;
    }

    .ProductHeaderOrder {
        display: none;
    }


    .wishlistData {
        margin-bottom: 2rem !important;
    }

    .ConMainHeaderTable {
        padding: 8px 40px 0 0;
    }

    .CartOrderTableTh {
        /* padding: 7px !important; */
        /* width: 90%; */
        margin: auto;
        display: flex;
        justify-content: space-between;
        /* border-bottom: 1px solid rgb(224, 222, 222); */
    }



    .wishlidtAddCart {
        text-align: end !important;
        display: flex;
        justify-content: end !important;
    }

    .mobileView-table {
        margin: auto;
        padding: 0 5px;
        display: flex;
        margin-bottom: 1rem !important;
        justify-content: space-between;
        overflow: hidden;
        box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    }

    .mobileView-table .wishlistPro {
        width: 5rem !important;
        height: 5rem !important;
    }

    .mobileView-table .wishlistProImgDiv {
        margin: 0 !important;
        padding: 0 !important;
        padding-top: 5px !important;
        padding-bottom: 5px !important;
        width: 100% !important;
        height: 100% !important;
    }

    .mobileView-table .wishlistProImgDiv div {
        width: 100% !important;
        height: 100% !important;
        overflow: hidden !important;
    }

    .mobileView-table .wishlistProImgDiv div img {
        border-radius: 10px !important;
        width: 100% !important;
        height: 100% !important;
    }

    .mobiletableM {
        border: none !important;
    }

    .dataNumber {
        display: none !important;
    }

    .mobiletable {
        border: none !important;
        box-shadow: none !important;
    }

    .wishlistDelete {
        display: none !important;
    }

    .mobileWishDelete {
        display: block !important;
        position: absolute !important;
        top: 2px !important;
        right: 2px !important;
    }

    .wishlistProduct-name {
        width: 67% !important;
    }

    .belowSliderCat {
        grid-template-columns: repeat(4, minmax(0, 1fr)) !important;
    }

    .catCategory {
        padding-top: 1.5rem !important;
        padding-bottom: 1rem !important;
    }

    .homeProduct {
        padding-top: 1.5rem !important;
        padding-bottom: 1rem !important;
    }

    .homebestselling {
        padding-top: 1.5rem !important;
        padding-bottom: 1rem !important;
    }

    .cartQuantity {
        justify-content: end !important;
    }

    .FooterHtext {
        left: 0px;
        top: 10rem !important;
    }

    .addressbarF {
        width: 13rem !important;
    }

    .footerOfferTextt {
        font-size: 20px !important;
    }

    .footerOfferText {
        padding: 0 2rem !important;
    }



}

@media screen and (max-width: 475px) {
    .homebestselling .productCardM {
        width: 192px !important;
    }

    .cartQuantity {
        gap: 1rem !important;
    }

    .homebestselling {
        padding-right: 1rem !important;
        padding-left: 1rem !important;
    }

    .banner-slider {
        margin-top: 0.5rem !important;
    }

    .sliderHome {
        height: 161px !important;
    }

    span.prev.slick-arrow {
        top: 69px !important;
    }

    .all-productPageMainP {
        margin-top: 2.5rem;
    }

    .all-productPage span.prev.slick-arrow {
        top: -2rem !important;
        left: 83% !important;
    }

    .all-productPage span.prev.slick-arrow .fa-arrow-left {
        background-color: #20B2AA;
        color: white;
    }

    span.next.slick-arrow {
        top: 69px !important;
    }

    .all-productPage span.next.slick-arrow {
        top: -2rem !important;
        right: 0 !important;
    }

    .all-productPage span.next.slick-arrow .fa-arrow-left {
        background-color: #20B2AA;
        color: white;
    }

    .catCategoryMobile {
        padding: 0 !important;
    }

    .catCategoryMobileimg {
        height: 5rem !important;
        padding: 6px !important;
    }

    .catCategoryName {
        margin-top: 16px !important;
        padding-bottom: 5px;
    }

    .productCardM {
        height: 271px !important;
    }

    .productImages {
        height: 176px !important;
    }

    .showingProduct {
        grid-template-columns: repeat(2, minmax(0, 1fr)) !important;
    }

    /* header ccart count */
    .cartCount {
        background-color: white !important;
        color: black !important;
    }


    /* cart */
    .cartQuantity {
        width: fit-content !important;
    }

    .cartCancel {
        top: -15px !important;
    }

    .updateCart {
        font-size: 14px !important;
        position: absolute !important;
        bottom: 0 !important;
        right: 16px !important;
    }

    /* Checkout */
    .checkoutMain {
        padding-top: 2rem !important;
        flex-wrap: wrap !important;
    }

    .checkout {
        width: 100% !important;
        margin-bottom: 0 !important;
    }

    .checkoutFormD {
        display: flex !important;
        flex-direction: column !important;
    }

    .orderSummmery {
        width: 100% !important;
        padding-left: 0 !important;
        margin-left: 0 !important;
    }

    .all-productPage {
        margin-left: 2.5px !important;
        width: 98% !important;
    }

    /* wishlist */
    .mobileView-table-w {
        width: 100%;
        margin: auto;
    }


    .mobileView-table .wishlistPro {
        width: 8rem !important;
        height: 5rem !important;
        margin-right: 5px !important;
    }

    .mobileView-table .wishlistProImgDiv {
        border-radius: 8px !important;
        overflow: hidden;
    }

    .wishlidtAddCart {
        display: none !important;
    }

    .wishlidtAddCartM {
        display: block !important;
    }

    .wishlistProduct-name {
        width: 90% !important;
    }

    .mainwishlist {
        padding-top: 2.5rem !important;
    }

    /* profile */
    .dashboardStart {
        margin-top: 2rem !important;
    }

    .fullDashboard {
        width: 100% !important;
    }

    .DashboardInfo {
        padding-top: 0 !important;
    }

    .belowSliderCat {
        grid-template-columns: repeat(3, minmax(0, 1fr)) !important;
    }

    .homeCatText {
        padding-left: 2px;
        padding-right: 2px;
        overflow: hidden;
        text-overflow: ellipsis;
        display: -webkit-box;
        -webkit-line-clamp: 1;
        /* number of lines to show */
        line-clamp: 2;
        -webkit-box-orient: vertical;
    }

    .truncate {
        display: block;
        max-height: 3em;
        line-height: 1.5em;
    }

    .forHomeSliderShadow {
        display: none;
    }

    .forHomeSliderShadoww {
        display: none;
    }

    .sideLine {
        display: none !important;
    }

    .FooterHtext {
        top: 5rem !important;
    }

    .finput {
        width: 70% !important;
    }

    .finput input {
        padding-top: 0.3rem !important;
        padding-bottom: 0.3rem !important;
    }

    .finput button {
        padding-top: 0.3rem !important;
        padding-bottom: 0.3rem !important;
    }

    .footerAdd .div {
        height: auto !important;
    }

    .contactset {
        align-items: center !important;
    }

    .footerAdd {
        flex-wrap: wrap !important;
        margin-top: 3rem !important;
    }

    .addressbarF {
        display: flex;
        flex-direction: column;
        align-items: center !important;
    }

    .addressbarF {
        text-align: center !important;
    }

    .firstSec {
        width: 100% !important;
        margin-left: 2.5rem !important;
    }

    .secondSec {
        width: 100% !important;
        justify-content: space-around !important;
        margin-top: 3rem !important;
    }

    .AddF {
        margin-bottom: 1rem !important;
    }

    .inputentry {
        display: block !important;
    }

    .cartFooter {
        width: 8rem !important;
    }

    .middlefooter {
        width: 100% !important;
        padding: 2rem !important;
        flex-wrap: wrap !important;
    }

    .developerCom {
        text-align: center !important;
    }

    .foundproduct {
        display: none !important;
    }

    .foundproductn {
        display: block !important;
    }


    .selectsorting {
        padding-right: 2px !important;
        padding-left: 2px !important;
        /* background-color: ; */
    }

    .sortSection {
        margin-bottom: 1rem !important;
    }

    .sortingDiv {
        background-color: #f3f0f0 !important;
        width: 100% !important;
        justify-content: space-around !important;
    }

    .forgotInfo {
        padding: 2px 0 8px 0 !important;
    }

    .sortMain {
        width: 100% !important;
    }

    .submit-reg {
        margin-top: 1rem !important;
    }

}

@media screen and (max-width: 375px) {

    .cartQuantity {
        display: none !important;
    }

    .firstSec {
        width: 100% !important;
        margin-left: 1.5rem !important;
    }

    .secondSec {
        width: 100% !important;
        margin-left: 0.5rem !important;
        margin-top: 3rem !important;
    }

    .pCartLi {
        padding-bottom: 6px !important;
    }

    .cartQuantityExtra {
        display: flex !important;
    }

    .homebestselling {
        height: 23rem !important;
        overflow: hidden;
    }

    .homebestselling .productCardM {
        width: 168px !important;
    }

    .sliderHome {
        height: 140px !important;
    }

    .all-productPage span.prev.slick-arrow {
        top: -2rem !important;
        left: 81% !important;
    }

    .mobileFooterText {
        font-size: 12px !important;
    }

    .mobileSearch {
        padding-left: 1rem !important;
        padding-right: 1rem !important;
    }

    /* Quantity */
    .quantityInput {
        width: 4rem !important;
    }
}

@media screen and (max-width: 340px) {
    .homebestselling .productCardM {
        width: 139px !important;
    }

    .mobileSearch {
        padding-left: 0.5rem !important;
        padding-right: 0.5rem !important;
    }

    .productImages {
        height: 152px !important;
    }

    .productCardM {
        height: 244px !important;
    }

    .all-productPage span.prev.slick-arrow {
        top: -2rem !important;
        left: 79% !important;
    }

    .forgotInfo {
        flex-direction: column !important;
        padding: 0 !important;
    }
}

/* <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 128 512"><!--!Font Awesome Free 6.5.2 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.--><path d="M64 360a56 56 0 1 0 0 112 56 56 0 1 0 0-112zm0-160a56 56 0 1 0 0 112 56 56 0 1 0 0-112zM120 96A56 56 0 1 0 8 96a56 56 0 1 0 112 0z"/></svg> */